diff -Nur OpenAL.orig/configure.ac OpenAL/configure.ac
--- OpenAL.orig/configure.ac	2005-09-24 22:39:54.000000000 +0900
+++ OpenAL/configure.ac	2005-09-26 20:57:34.000000000 +0900
@@ -23,9 +23,7 @@
 test x"$AL_LIBS" = x"none required" && AL_LIBS=
 AC_SUBST([AL_LIBS])
 
-if test "$AL_LIBS" = no; then
-  AC_MSG_WARN([no OpenAL library found, so this package will not be built])
-else
+AC_CANONICAL_TARGET
 
 # Ugly...
 AL_FRAMEWORKS=
@@ -36,9 +34,13 @@
 esac
 AC_SUBST([AL_FRAMEWORKS])
 
+if test "$AL_LIBS" = no && test -z "$AL_FRAMEWORKS"; then
+  AC_MSG_WARN([no OpenAL library found, so this package will not be built])
+else
+
 FP_HEADER_AL
 FP_HEADER_ALC
-if test -z "$AL_FRAMEWORKS" && test x"$fp_found_al_header$fp_found_alc_header" != xyesyes; then
+if test x"$fp_found_al_header$fp_found_alc_header" != xyesyes; then
   AC_MSG_WARN([no OpenAL headers found, so this package will not be built])
 else
 
